Bug 90721 - Cannot boot to Windows XP or Linux. Kernel Panic : no init found. Try passing init = option to kernel
Summary: Cannot boot to Windows XP or Linux. Kernel Panic : no init found. Try passi...
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: grub   
(Show other bugs)
Version: 8.0
Hardware: All Linux
medium
high
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-05-12 21:09 UTC by ear
Modified: 2007-04-18 16:53 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-29 20:52:37 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description ear 2003-05-12 21:09:22 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.0; Windows 98; DigExt)

Description of problem:
I've never used Linux, so I won't be too specific.  I have a computer with a 
120 GB internal harddrive with Windows XP and alongside that I have a 60 GB 
external harddrive.  So I wanted to install Red Hat Linux 8.0 onto my external 
harddrive.  If anything went wrong, I could unplug it and boot Windows XP 
without a problem (I thought). So I ran Partition Magic and left 5GB free on my 
external harddrive.  I started to run the Red Hat Linux 8.0 cd 1 and had them 
partition the drives themselves on the free 5GB.  That went good and everything 
was fine.  It installed and I choose my color display.  It said to make the 
floppy disk, so i did that.  I then rebooted without the floppy disk in the 
first time, and it said grub error.   I rebooted with the floppy disk in and it 
started to work.  It said something like <boot> then i would hit enter to start 
the boot.  I hit enter, numbers and info starts flying everywhere to start it, 
but it stops and give me the error :::Kernel Panic : no init found.  try 
passing ini= option to kernel :::.  It stays there and I can't type anything 
and all I can do his restart.  I can't get around it anyway!  If I unplug the 
external harddrive, GRUB still tries loading.  Somebody said I might've 
installed GRUB onto the internal harddrive, and linux onto the external 
harddrive, but I doubt that.  Why can't I start up Windows XP?  What can I do 
to boot up Linux?  Somebody said  I should boot using Lilo.  Will that be 
somewhere in my files if I never had a previous version installed.  How do I 
boot to Lilo?  Can somebody give me some advice???

Comment 1 Jeremy Katz 2003-05-16 22:11:12 UTC
What kind of external hard drive is this with?  (what type of connection)

Comment 2 Jeremy Katz 2003-06-29 20:52:37 UTC
Closing due to inactivity


Note You need to log in before you can comment on or make changes to this bug.